﻿//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace MindFusion.Scheduling.Wpf.Samples.CS.ListView
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			calendar1.BeginInit();

			calendar1.Date = new DateTime(2008, 10, 27);
			calendar1.DateTimeFormat.FirstDayOfWeek = DayOfWeek.Monday;

			// Initialize appointments
			Appointment app;

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "Naruto #35\nM 10/27 - F 11/10";
			app.Priority = 0;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "Dragon Ball #10\nM 10/27 - F 11/10";
			app.Priority = -1;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "Hikaru No Go #38\nM 10/27 - F 11/10";
			app.Priority = -2;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "MAR #5\nM 10/27 - F 11/10";
			app.Priority = -3;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "Pokemnon: Johto...\nM 10/27 - F 11/10";
			app.Priority = -4;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 10, 27);
			app.EndTime = new DateTime(2008, 11, 3);
			app.HeaderText = "One Piece\nM 10/27 - F 11/10";
			app.Priority = -5;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Naruto #36\nM 11/6 - F 11/17";
			app.Priority = 0;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Dragon Ball #11\nM 11/6 - F 11/17";
			app.Priority = -1;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Hikaru No Go\nM 11/6 - F 11/17";
			app.Priority = -2;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "MAR #39\nM 11/6 - F 11/17";
			app.Priority = -3;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Pokemon: Johto...\nM 11/6 - F 11/17";
			app.Priority = -4;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "One Piece\nM 11/6 - F 11/17";
			app.Priority = -5;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Dragon Ball\nM 11/6 - F 11/17";
			app.Priority = -6;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Hikaru No Go\nM 11/6 - F 11/17";
			app.Priority = -7;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "MAR\nM 11/6 - F 11/17";
			app.Priority = -8;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "Pokemon: Johto...\nM 11/6 - F 11/17";
			app.Priority = -9;
			calendar1.Schedule.Items.Add(app);

			app = new Appointment();
			app.StartTime = new DateTime(2008, 11, 3);
			app.EndTime = new DateTime(2008, 11, 10);
			app.HeaderText = "One Piece\nM 11/6 - F 11/17";
			app.Priority = -10;
			calendar1.Schedule.Items.Add(app);

			calendar1.EndInit();
		}

		private void _menuItemTools_SubmenuOpened(object sender, RoutedEventArgs e)
		{
			_menuItemToggleFreeDrag.IsChecked =
				(calendar1.ListViewSettings.FreeDrag == true);

			_menuItemSnapToCell.IsChecked =
				calendar1.ListViewSettings.EnableSnapping == false;
			_menuItemSnapToSecond.IsChecked =
				(calendar1.ListViewSettings.EnableSnapping == true &&
				calendar1.ListViewSettings.SnapUnit == TimeUnit.Second);
			_menuItemSnapToHour.IsChecked =
				(calendar1.ListViewSettings.EnableSnapping == true &&
				calendar1.ListViewSettings.SnapUnit == TimeUnit.Hour);
			_menuItemSnapToDay.IsChecked =
				(calendar1.ListViewSettings.EnableSnapping == true &&
				calendar1.ListViewSettings.SnapUnit == TimeUnit.Day);
		}

		private void _menuItemToggleFreeDrag_Click(object sender, RoutedEventArgs e)
		{
			if (calendar1.ListViewSettings.FreeDrag == true)
				calendar1.ListViewSettings.FreeDrag = false;
			else
				calendar1.ListViewSettings.FreeDrag = true;
		}

		private void _menuItemSnapToCell_Click(object sender, RoutedEventArgs e)
		{
			// Effectively disable custom snapping
			calendar1.ListViewSettings.EnableSnapping = false;
		}

		private void _menuItemSnapToSecond_Click(object sender, RoutedEventArgs e)
		{
			// Enable custom snapping
			calendar1.ListViewSettings.EnableSnapping = true;
			calendar1.ListViewSettings.SnapUnit = TimeUnit.Second;
		}

		private void _menuItemSnapToHour_Click(object sender, RoutedEventArgs e)
		{
			// Enable custom snapping
			calendar1.ListViewSettings.EnableSnapping = true;
			calendar1.ListViewSettings.SnapUnit = TimeUnit.Hour;
		}

		private void _menuItemSnapToDay_Click(object sender, RoutedEventArgs e)
		{
			// Enable custom snapping
			calendar1.ListViewSettings.EnableSnapping = true;
			calendar1.ListViewSettings.SnapUnit = TimeUnit.Day;
		}
	}
}
